#include "gui.hpp"
#include "dinkyecs.hpp"
#include "systems.hpp"
#include "events.hpp"
#include "components.hpp"
#include "constants.hpp"
#include "dbc.hpp"
#include "spatialmap.hpp"
#include "render.hpp"
#include "save.hpp"
#include "lights.hpp"
#include "worldbuilder.hpp"
#include "levelmanager.hpp"
#include "ftxui/screen/terminal.hpp"  // for SetColorSupport, Color, TrueColor
#include <filesystem>
#include <fcntl.h>
#include <fmt/core.h>

using namespace ftxui;
using namespace components;
using lighting::LightSource;
namespace fs = std::filesystem;

int main() {
  GUI gui;

  return gui.main();
}
